module TorchLighttorchlight
using ..Ahorn, Maple

@mapdef Entity "Torchlight/Torchlight" Torchlight(x::Integer, y::Integer,
FadePoint::Integer=48, Radius::Integer=64, Alpha::Number=1.0, Color::String="Default")

const placements = Ahorn.PlacementDict(
   "Torch Follower (Darkness Map only)" => Ahorn.EntityPlacement(
      Torchlight
   )
)

const sprite = string("torchlightSprites/ThorcVar/DefaultTorch/DefaultTorch00.png")

Ahorn.editingOptions(entity::Torchlight) = Dict{String, Any}(
  "Color" => String["Default", "Red", "Orange", "Green", "Blue", "Purple", "Sunset", "Gray"]
)

function Ahorn.selection(entity::Torchlight)
   x, y = Ahorn.position(entity)
   return Ahorn.getSpriteRectangle(sprite, x, y)
end

Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Torchlight, room::Maple.Room) = Ahorn.drawSprite(ctx, sprite, 0, 0)

end
